Bug 822990 - Ctrl keys not working properly in the menu when using HMC console
Ctrl keys not working properly in the menu when using HMC console
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
17
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-18 13:49 EDT by Paulo Flabiano Smorigo
Modified: 2013-08-01 04:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 04:52:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paulo Flabiano Smorigo 2012-05-18 13:49:41 EDT
Description of problem:

Here at IBM we discover a bug related to the serial when using HMC as the interface. This bug afected the key responses in GRUB2. Ctrl keys (like up, down, left and right) wasn't working properly.
Thanks to Vladimir (GRUB's maintainter), we solve the problem.

Version-Release number of selected component (if applicable):
2.00 beta

How reproducible:
Using HMC

Steps to Reproduce:
1. grub-install /dev/sda1 in a HMC lpar
2. try to use the keys at the menu
3.
  
Actual results:
The keys doesn't work at all

Expected results:
The keys should work

Additional info:

The bug was already fixed and commited mainstream:
http://bzr.savannah.gnu.org/lh/grub/trunk/grub/revision/4246
http://bzr.savannah.gnu.org/lh/grub/trunk/grub/revision/4247
Comment 1 Mads Kiilerich 2012-05-18 14:44:17 EDT
These changes are "old" and should already be included in the grub2 versions used in Fedora. What problem do you see with which grub2 package?
Comment 2 Paulo Flabiano Smorigo 2012-05-18 16:17:46 EDT
The current grub2 package is using 2.00-beta4 (older then the fix). The beta5 includes this fix.
Comment 3 Fedora End Of Life 2013-07-03 22:37:04 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 04:53:03 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.